Автор Тема: проблем с браузърите  (Прочетена 1217 пъти)

nedy

  • Напреднали
  • *****
  • Публикации: 24
    • Профил
проблем с браузърите
« -: Apr 05, 2006, 20:56 »
значи качих си Кубунту 5.10 за 64 битово АМД и първо си бачках с кокърър. Но после ми потрябва флаш и джава и реших да потърся опера или файърфокс. С Адепт си качих някакъв файърфокс с флаш плейър, но постоянно крашваше, а и беше някоя стара версия. После потърсих опера в нета и намерих пакети, но не можах да си ги кача защото ми каза, че не е за тази система, явно е само за 32 битови операционни системи. После си свалих архив с файърфокс, който като го ънтарна и в папката която става има няколко изпълними файла, които не мога да пусна поради различни грешки. Май ми трябва ГТК, а аз нямам. Та въпросът ми е имали свестен браузър, който да поддържа флаш и джава и да е за х64 или да си кача 32-битов.
Така се чудя защо ми е х64 след като с Винбозе проблемите ми са още по-големи.
Активен

steady

  • Напреднали
  • *****
  • Публикации: 266
  • Distribution: Maemo / Ubuntu
  • Window Manager: Gnome
    • Профил
проблем с браузърите
« Отговор #1 -: Apr 05, 2006, 21:09 »
Защо не опиташ 1.5.0.1 на Файерфокс с добавени плъгини Флаш 8 и Java 2 Runtime Environment.

p.s. То мозилата си крашва и на 32 битов понякога '<img'>

Примерен код
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060124 Firefox/1.5.0.1
Активен

Tablet: Nokia N900; Maemo 5.
Server: HP; Intel Pentium 4 3.2GHz; 2GB DDR2; Ubuntu Server 9.10.
Laptop: Acer Aspire 5738ZG; Intel Core 2 Duo 2GHz; 3GB DDR3; Nvidia GeForce G105M; Ubuntu 10.10.
Desktop: ASRock ConRoeXFire-eSATA2; Intel Core 2 Duo 1.6GHz; 3GB DDR2; Nvidia GeForce G210; Ubuntu 10.10.

nedy

  • Напреднали
  • *****
  • Публикации: 24
    • Профил
проблем с браузърите
« Отговор #2 -: Apr 05, 2006, 22:47 »
като си сваля и екстрактна въпросният файърфокс имам папка, в която има файл firefox, който е изпълним като го изпълня дава следният ерор:
Примерен код

root@ubuntu:/home/nedy/firefox-1.5.0.1/firefox# ./firefox
./firefox-bin: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
root@ubuntu:/home/nedy/firefox-1.5.0.1/firefox#


аз си качих гтк даже намерих въпросният файл и го сложих в директорията, но пак дава същият ерор.
Активен

steady

  • Напреднали
  • *****
  • Публикации: 266
  • Distribution: Maemo / Ubuntu
  • Window Manager: Gnome
    • Профил
проблем с браузърите
« Отговор #3 -: Apr 05, 2006, 23:38 »
За тази библиотека не мога да ти помогна много защото аз съм с RPM-и и неразбирам много от компилации. '<img'>

Иначе съм фен на Firefox и знам някой неща.

Това е обяснението за сваляне и инсталиране.

 - ако пишеш в конзолата mozilla-firefox зарежда старата версия по подразбиране.
 - ако стартираш "firefox" графично се пуска версия 1.5.0.1 (като може и да си създадеш пряк път до "firefox").
 - добавянето на Flash 8 става автоматично ...
 - добавянето на FlashGot става автоматично.
 - за да добавиш J2RE виж тук.

Успех.
Активен

Tablet: Nokia N900; Maemo 5.
Server: HP; Intel Pentium 4 3.2GHz; 2GB DDR2; Ubuntu Server 9.10.
Laptop: Acer Aspire 5738ZG; Intel Core 2 Duo 2GHz; 3GB DDR3; Nvidia GeForce G105M; Ubuntu 10.10.
Desktop: ASRock ConRoeXFire-eSATA2; Intel Core 2 Duo 1.6GHz; 3GB DDR2; Nvidia GeForce G210; Ubuntu 10.10.

nedy

  • Напреднали
  • *****
  • Публикации: 24
    • Профил
проблем с браузърите
« Отговор #4 -: Apr 05, 2006, 23:55 »
тук намира точно един ред за инсталация, който изпълних, но въпреки това не мога стартирам файърфокс нито така:
Примерен код

./firefox

нито така
Примерен код

sh firefox

И графично не мога да пусна файловете, които разархивирах дори и mozila-firefox не мога да пусна



Активен

redcure

  • Напреднали
  • *****
  • Публикации: 914
    • Профил
проблем с браузърите
« Отговор #5 -: Apr 06, 2006, 12:13 »
Влез в папката на лисицата!
Пробвай :
Примерен код
sh firefox

Мисля, че беше тоя ,но имаше още един файл , който можеш да пробваш!
Активен

Debian testing 2.6.18, Enlightenment DR17

http://www.debian.org/doc/manuals/apt-howto/index.en.html

nedy

  • Напреднали
  • *****
  • Публикации: 24
    • Профил
проблем с браузърите
« Отговор #6 -: Apr 08, 2006, 11:49 »
ами точно това не ми работи. Дава ми следната грешка:
Примерен код

root@ubuntu:/usr/local/firefox# sh firefox
./firefox-bin: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
root@ubuntu:/usr/local/firefox#

след това си инсталнах гтк, но пак не стана. След това си намирих съответния файл libgtk-x11-2.0.so.0 и си го копирах в директорията на лисицата, но пак същата грешка и затова не знам  какво да правя.
Активен

nedy

  • Напреднали
  • *****
  • Публикации: 24
    • Профил
проблем с браузърите
« Отговор #7 -: Apr 11, 2006, 16:55 »
Сега си качих убунту с гноме. И вече не ми дава тази грешка. Но сега имам още повече грешки.
Примерен код

nedy@ubuntu:~/Desktop/firefox$ sh firefox

(firefox-bin:9457): Gdk-WARNING **: locale not supported by Xlib

(firefox-bin:9457): Gdk-WARNING **: cannot set locale modifiers

(firefox-bin:9457): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conve rsion from character set 'UTF-8' to 'ISO-8859-1' is not supported

(firefox-bin:9457): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conve rsion from character set 'UTF-8' to 'ISO-8859-1' is not supported

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gtk-WARNING **: /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so:  cannot open shared object file: No such file or directory

(firefox-bin:9457): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conve rsion from character set 'UTF-8' to 'ISO-8859-1' is not supported

(firefox-bin:9457): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conve rsion from character set 'UTF-8' to 'ISO-8859-1' is not supported

(firefox-bin:9457): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conve rsion from character set 'UTF-8' to 'ISO-8859-1' is not supported

(firefox-bin:9457): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conve rsion from character set 'UTF-8' to 'ISO-8859-1' is not supported

(firefox-bin:9457): Gdk-WARNING **: Error converting from UTF-8 to STRING: Conve rsion from character set 'UTF-8' to 'ISO-8859-1' is not supported



Явно някой пакет ми липсва, но не знам кой. Моля помогнете!!!
Активен

steady

  • Напреднали
  • *****
  • Публикации: 266
  • Distribution: Maemo / Ubuntu
  • Window Manager: Gnome
    • Профил
проблем с браузърите
« Отговор #8 -: Apr 12, 2006, 15:05 »
добре де защо му даваш :
Примерен код
sh firefox

Просто разархивирай като роот в /usr/firefox/ и след това си направи shortcut на файла /usr/firefox/firefox и така трябва да си работи...

Успех!
Активен

Tablet: Nokia N900; Maemo 5.
Server: HP; Intel Pentium 4 3.2GHz; 2GB DDR2; Ubuntu Server 9.10.
Laptop: Acer Aspire 5738ZG; Intel Core 2 Duo 2GHz; 3GB DDR3; Nvidia GeForce G105M; Ubuntu 10.10.
Desktop: ASRock ConRoeXFire-eSATA2; Intel Core 2 Duo 1.6GHz; 3GB DDR2; Nvidia GeForce G210; Ubuntu 10.10.

nedy

  • Напреднали
  • *****
  • Публикации: 24
    • Профил
проблем с браузърите
« Отговор #9 -: Apr 12, 2006, 16:01 »
ако имаш предвид да го стартирам през гном не става. Веднага крашва и излиза. Но то пак си прави sh firefox, просто не го пиша. Ако идеята ти е някаква друга то аз не можах да я схвана.
Активен

steady

  • Напреднали
  • *****
  • Публикации: 266
  • Distribution: Maemo / Ubuntu
  • Window Manager: Gnome
    • Профил
проблем с браузърите
« Отговор #10 -: Apr 12, 2006, 21:22 »
При мен си върви съвсем нормално и никога не е крашвало при старт.
Само понякога крашва като са 5 браузера включени и затова вече работя с табове.

Plugins:
Цитат
flashplayer.xpt
libflashplayer.so
libjavaplugin_oji.so
libnullplugin.so
Активен

Tablet: Nokia N900; Maemo 5.
Server: HP; Intel Pentium 4 3.2GHz; 2GB DDR2; Ubuntu Server 9.10.
Laptop: Acer Aspire 5738ZG; Intel Core 2 Duo 2GHz; 3GB DDR3; Nvidia GeForce G105M; Ubuntu 10.10.
Desktop: ASRock ConRoeXFire-eSATA2; Intel Core 2 Duo 1.6GHz; 3GB DDR2; Nvidia GeForce G210; Ubuntu 10.10.

  • Гост
проблем с браузърите
« Отговор #11 -: Apr 13, 2006, 02:59 »
А какъв е проблема да си сложиш поддръжка за flash във Konqueror?
Settings -> Configure Konqueror -> Plugins -> натискаш бутона New, даваш пътя до flash plugin-a (libflashplayer.so), натискаш бутона sacan for new plugins и си готов.
За Java, също има настройки, пак в Configure Konqueror, но този път търсиш в ляво къде се настройва Java& Java Cript, там има как да си окажеш пътя до Java (нещо от рода на /opt/sun-jre-bin-1.5.0.06/bin/java). Сложи и чек-марк на Enable Java Globaly.
Активен